
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【D3.js 学习总结】9、D3布局-饼状图 / iVAN</title>

    <meta name="description" content="【D3.js 学习总结】9、D3布局-饼状图 d3.layout.pie() 在第4章D3 创建SVG里我们讲过 圆弧图 的制作方法,我们需要准备这样的数据才能画出圆弧: var angle = 2*Math.PI; var data = [ { startAngle: 0, endAngle: 0.2*angle }, { startAngle: 0.5*angle, endAngle: 0.8*angle } ]; 如果都是自己去计算startAngle或endAngle,那太繁琐了,这时候就可以用到饼状布局来生成需要的数据. 千万记住">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【D3.js 学习总结】9、D3布局-饼状图</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>d3.layout.pie()</h1>
<p>在第4章<em>D3 创建SVG</em>里我们讲过 圆弧图 的制作方法，我们需要准备这样的数据才能画出圆弧：</p>
<pre><code>    var angle = 2*Math.PI;
    var data = [
        {
            startAngle: 0,
            endAngle: 0.2*angle
        },
        {
            startAngle: 0.5*angle,
            endAngle: 0.8*angle
        }
    ];
</code></pre>
<p>如果都是自己去计算<code>startAngle</code>或<code>endAngle</code>，那太繁琐了，这时候就可以用到饼状布局来生成需要的数据。</p>
<p><code><em>千万记住：布局不是要直接绘图，而是为了得到绘图所需的数据。</em></code></p>
<h4>饼图(Pie)的API说明</h4>
<ul>
<li>pie.endAngle -取得或设置饼布局整体的结束角度。</li>
<li>pie.padAngle - 取得或设置饼布局填充角度。</li>
<li>pie.sort - 控制饼片段的顺时针方向的顺序。</li>
<li>pie.startAngle - 取得或设置饼布局整体的开始角度。</li>
<li>pie.value - 取得或设置值访问器函数。</li>
<li>pie - 计算饼图或圆环图中弧的开始和结束角度。</li>
</ul>
<p>我们通过一个制作一个饼状图来讲解饼状布局。</p>
<p><a href="https://img.alicdn.com/tps/TB1h_rfKFXXXXXKXXXXXXXXXXXX-313-311.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2ltZy5hbGljZG4uY29tL3Rwcy9UQjFoX3JmS0ZYWFhYWEtYWFhYWFhYWFhYWFgtMzEzLTMxMS5wbmc=.jpg"></a></p>
<h2>1. 数据</h2>
<pre><code>var dataset = [ 30 , 10 , 43 , 55 , 13 ];
</code></pre>
<h2>2. 数据转换</h2>
<pre><code>var pie = d3.layout.pie();
var data = pie(dataset);
</code></pre>
<p>通过饼状布局转换数据后，data数据被转换成如下形式：</p>
<p><a href="https://img.alicdn.com/tps/TB1mk14KFXXXXcdXpXXXXXXXXXX-359-431.png" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL2ltZy5hbGljZG4uY29tL3Rwcy9UQjFtazE0S0ZYWFhYY2RYcFhYWFhYWFhYWFgtMzU5LTQzMS5wbmc=.jpg"></a></p>
<h2>3. 绘制图形</h2>
<h4>创建svg容器</h4>
<pre><code>var width = 400;
var height = 400;
var outerRadius = 150; //外半径
var innerRadius = 0; //内半径，为0则中间没有空白

var svg = d3.select("body")
    .append("svg")
    .attr("width", width)
    .attr("height", height);
</code></pre>
<h4>创建弧形svg生成器</h4>
<pre><code>var arc = d3.svg.arc() //弧生成器
    .innerRadius(innerRadius) //设置内半径
    .outerRadius(outerRadius); //设置外半径

</code></pre>
<h4>定义颜色比例尺</h4>
<pre><code>var color = d3.scale.category10();

</code></pre>
<h4>定义弧形路径容器</h4>
<pre><code>var arcs = svg.selectAll("g")
    .data(data)
    .enter()
    .append("g")
    .attr("transform", "translate(" + (width / 2) + "," + (width / 2) + ")");

</code></pre>
<h4>生成弧形路径并填充颜色</h4>
<pre><code>arcs.append("path")
    .attr("fill", function(d, i) {
        return color(i);
    })
    .attr("d", function(d) {
        return arc(d);
    });

</code></pre>
<h4>生成弧形文本并旋转</h4>
<pre><code>arcs.append("text")
    .attr("transform", function(d) {
        return "translate(" + arc.centroid(d) + ")";
    })
    .attr("text-anchor", "middle")
    .text(function(d) {
        return d.data;
    });

</code></pre>
<p><code>arc.centroid(d)</code> 能算出弧线的中心，所以用来放置文本最合适了。</p>
<p>要注意，text() 里返回的是 d.data ，而不是 d 。因为被绑定的数据是对象，里面有 d.startAngle、d.endAngle、d.data 等，其中 d.data 才是转换前的整数的值。</p>
<p><a href="http://gafish.github.com/demo/d3/pie1.html" rel="external nofollow noreferrer">查看在线演示</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 09:23:54</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/%e5%b8%83%e5%b1%80/" title="布局">布局</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e6%8a%80%e6%9c%af%e5%8d%8f%e4%bc%9a/" title="阿里技术协会">阿里技术协会</a>, <a href="https://www.iamivan.net/tag/%e5%ae%b9%e5%99%a8/" title="容器">容器</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%8f%af%e8%a7%86%e5%8c%96/" title="数据可视化">数据可视化</a>, <a href="https://www.iamivan.net/tag/svg/" title="svg">svg</a>, <a href="https://www.iamivan.net/tag/arc/" title="arc">arc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【D3.js 学习总结】9、D3布局-饼状图的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBZBvb.html" rel="bookmark">【D3&period;js 学习总结】8、D3布局介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				布局是 D3 中一个十分重要的概念,可以理解成 &quot;制作常见图形的函数&quot;,有了它制作各种相对复杂的图表就方便多了. D3 与其它很多可视化工具不同,相对来说较底层,对初学者来说不太方便,但是一旦掌握了,就比其他工具更加得心应手. 下图展示了 D3 与其它可视化工具的区别: 布局的作用是:将不适合用于绘图的数据转换成了适合用于绘图的数据. D3 总共提供了 12 个布局: 饼状图(Pie) 力导向图(Force) 弦图(Chord) 捆图(Bundle) 直方图(Histogram) 堆栈			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2mE6M.html" rel="bookmark">D3&period;js实现饼状图的方法详解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 小编在之前已经跟大家分享过关于怎样用柱状图和折线图这两种基本图表.这两种图表都是有坐标轴的,现在来说一种没有坐标轴的图表--饼图. 饼状图实现 还是和之前一样,我们先把简单的画图框架搭起来,添加SVG画布.但是这里需要注意的是,为了方便后面画饼图上的弧形,我们把组合这些元素的g元素移动到画布的中心: &lt;!DOCTYPE html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My3Y75z.html" rel="bookmark">Android mpchart饼状图怎么改它的布局，在哪个地方改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android mpchart饼状图怎么改它的布局,在哪个地方改 就是想把圈起来的位置放在左上角 然后饼状图放在它的下面居中 ,主要告诉我在什么地方改就好了 解决方案 mLegend.setPosition(Legend.LegendPosition.RIGHT_OF_CHART);你当前设置的是RIGHT_OF_CHART,这个方法可以改			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyW9Elz.html" rel="bookmark">jQuery&period;Highcharts&period;js绘制柱状图饼状图曲线图&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在数据统计和分析业务中,有时会遇到客户需要在一个图表中将柱状图.饼状图.曲线图的都体现出来,即可以从柱状图中看出具体数据.又能从曲线图中看出变化趋势,还能从饼状图中看出各部分数据比重.Highcharts可以轻松实现三图合一的效果. 复制代码 代码如下: var chart;             $(document).ready(function() {                 chart = new Highcharts.Chart({                     c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badmR2z.html" rel="bookmark">Excel教程 制作半圆饼状图的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  今天小编就教大家制作半圆饼状图,有需要的朋友不要错过学习的机会咯! 下面,开始制作吧! ①首先准备源数据,在C2单元格输入公式: =B2/SUM($B$2:$B$7) ②回车,得到的结果为小数,并不是我们想要的百分比形式.选中数字,单击菜单栏--开始,将格式换为百分比. ③向下填充单元格,将数据计算出来,并在最后添加1个100%. ④按住Ctrl键选中A1:A8以及C1:C8区域,单击菜单栏--插入--图表--饼图--二维饼图. ⑤饼图插入成功,右击,从弹出的右键菜单中选择设置数据系列格式.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z725eKp.html" rel="bookmark">Excel制作半圆饼状图的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天小编就教大家制作半圆饼状图,有需要的朋友不要错过学习的机会咯! 下面,开始制作吧! ①首先准备源数据,在C2单元格输入公式: =B2/SUM($B$2:$B$7) ②回车,得到的结果为小数,并不是我们想要的百分比形式.选中数字,单击菜单栏--开始,将格式换为百分比. ③向下填充单元格,将数据计算出来,并在最后添加1个100%. ④按住Ctrl键选中A1:A8以及C1:C8区域,单击菜单栏--插入--图表--饼图--二维饼图. ⑤饼图插入成功,右击,从弹出的右键菜单中选择设置数据系列格式. ⑥			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkNPlM.html" rel="bookmark">使用rgraph在JavaScript中制作饼状图</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用rgraph在JavaScript中制作饼状图 使用rgraph在JavaScript中制作饼状图,数据和结构都正确,但是就是显示不出来饼状图 解决方案 这个没用过,一直用的d3和Echarts,最简单的办法就是找个官方的demo,把数据给改掉,别改其他东西先试试.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpdy96z.html" rel="bookmark">phpexcel图乱码-无人能解。。phpexcel生成饼状图，在Windows下正常在Linux下乱码！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 无人能解..phpexcel生成饼状图,在Windows下正常在Linux下乱码! 生成图片导出时,在Windows下整成显示,在Linux上导出的文件里只有乱码 但如果只生成表格,都可以正常显示,这个是代码: include &quot;&quot;PHPExcel.php&quot;&quot;; include &quot;&quot;PHPExcel/Writer/Excel5.php&quot;&quot;; //用于输出.xls的 //创建新的对象 $objPHPExcel = ne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKm48b.html" rel="bookmark">Echarts柱状图，饼状图，折线图案例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用Echarts之前需要做的工作是引入Echarts所需的js: &lt;script type=&quot;text/javascript&quot; src=&quot;${scriptsPath}/echarts/echarts.min.js&quot; charset=&quot;utf-8&quot;&gt;&lt;/script&gt; 定义要在那个div区域显示图形:  &lt;div class=&quot;similarity-sentence&quot; id=&quot;simi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boGovb.html" rel="bookmark" class="title">网页前端设计&colon;UI到底是干什么的</a>
					<div>
						UI是什么,UI设计是干什么的.网站里面除了美工和前端,还需要啥?有幸在和大家一起分享了PPT&lt;UI是什么&gt;,和大家讨论下,UI到底是干什么的. 在和很多人交流中,大多数人依旧不是很了解, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MW90qz.html" rel="bookmark" class="title">ADO的定义</a>
					<div>
						ado     在本书前7章中,已经讲述了ASP的有关内容,以及ASP如何为Web站点带来动态的内容.已经见到其脚本程序允许自定义Web页面,使我们能够构建功能更为强大的ASP页面.       现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NZKWz.html" rel="bookmark" class="title">Coreldraw绘图时出现&OpenCurlyDoubleQuote;该程序出现非法操作&rdquo;</a>
					<div>
						问:用Coreldraw绘图时突然出现&quot;该程序出现非法操作&quot;,该如何解决? 在Coreldraw里绘图的时候为什么突然会出现&quot;该程序执行了非法操作,需要关闭&quot;呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOBAaM.html" rel="bookmark" class="title">QQ邮箱2007贺岁版新功能介绍</a>
					<div>
						新的QQ邮箱2007贺岁版昨天隆重登场.和之前的QQQQmail3.0相比,新版QQ邮箱最大的特点是:速度更快,读写界面更大,功能更加个性化.而更人性的细节设计让您在使用过程中倍感体贴,在尽享愉悦舒心 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl5Kkb.html" rel="bookmark" class="title">C语言学习教程第七章-结构与联合&lpar;3&rpar;</a>
					<div>
						结构数组 数组的元素也可以是结构类型的. 因此可以构成结构型数组.结构数组的每一个元素都是具有相同结构类型的下标结构变量. 在实际应用中,经常用结构数组来表示具有相同数据结构的一个群体.如一个班的学生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2vXlp.html" rel="bookmark" class="title">使用ASP&period;NET MVC Futures中的异步Action</a>
					<div>
						之前看过老赵这两篇文章.也研究了一下老赵异步的实现方式. 不过感觉自己扩展的话,在ASP.NET MVC中使用异步还真是麻烦,刚好看到从RC1版开始 ASP.NET MVC Futures中提供了几个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P7KAM.html" rel="bookmark" class="title">光影魔术手为什么有时会出现&OpenCurlyDoubleQuote;参数错误&rdquo;的提示</a>
					<div>
						  光影魔术手发现&quot;参数错误&quot;的提示在软件无法分配资源时出现.正片功能需要申请大量的系统资源做海量运算,当系统中资源较低时(如同时有多个大型程序运行),可能会出现此错误.另外,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNErAJb.html" rel="bookmark" class="title">Excel2007快速冻结，方便内容查看</a>
					<div>
						在excel2003 中,冻结窗口是很好操作,效果就是上下移动窗体体,冻结的那一格却不动 在2007中,我也想这么操作,结果发现只能冻结首行,或者首列.痛苦的很啊,不能随意冻结一行. 仔细研究后发现, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4e7wp.html" rel="bookmark" class="title">excel中字符隐藏方法</a>
					<div>
						隐藏单元格内容 选中要隐藏内容的单元格区域,右击选择&quot;设置单元格格式&quot;,在&quot;数值&quot;选项卡的&quot;分类&quot;列表中选择&quot;自定义&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwNJkz.html" rel="bookmark" class="title">Windows XP如何修改administrator帐户名？</a>
					<div>
						安装Windows XP时,默认建立了一个Administrator账户,如果你设置了一个新的管理员账户,那么系统内置没有密码保护的Administrator管理员 账户是不会出现在用户登录列表中的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W2ymb.html" rel="bookmark" class="title">iframe自适应高度方法</a>
					<div>
						 谓iframe自适应高度,就是,基于界面美观和交互的考虑,隐藏了iframe的border和scrollbar,让人看不出它是个iframe.如果iframe始终调用同一个固定高度的页面,我们直接写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1VRxb.html" rel="bookmark" class="title">Windows7系统开启、取消磁盘碎片整理计划任务设置方法</a>
					<div>
						  1.点击[开始]-[所有程序]-[附件]-[系统工具]-[磁盘碎片整理程序],打开磁盘碎片整理程序. 2.点击[配置计划],然后取消[按计划动行(推荐)]前面的勾选. 注:如果你想开启磁盘碎片整理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNQooM.html" rel="bookmark" class="title">QQ音乐如何更改歌词颜色</a>
					<div>
						  1.在桌面上打开我们的QQ音乐,双击图标打开. 2.打开之后,我们先把歌词打开,显示在我们的桌面上. 3.然后点击右上角的&quot;菜单&quot;. 4.打开下拉菜单之后,我们可以看到这里有个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrRwoM.html" rel="bookmark" class="title">云计算读书笔记（四）</a>
					<div>
						微软云平台 微软的云计算机服务平台Windows Azure属于Paas模式,一般面向的是软件开发商. 当前版本包括四部分: 1)Windows Azure,位于云计算平台的最底层,是微软云计算技术的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8k7XoM.html" rel="bookmark" class="title">IBM Cognos跟踪开发和生产系统之间的CSV导出分隔符的区别</a>
					<div>
						本文本文旨在提供一种疑难解答方法,整合公开可用的实用程序来诊断和解决在特定用例中识别出的问题. 适用性 尽管列出的疑难解答方法不是 IBM Cognos BI 版本所独有的,但使用的一些诊断实用程序是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YadZM.html" rel="bookmark" class="title">open session in view模式</a>
					<div>
						问题描述 open session in view模式 open session in view模式 这个的作用是不是解决Session的问题!请大神解答!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lxQ9b.html" rel="bookmark" class="title">学术分享搜索平台&mdash;&mdash;中期报告</a>
					<div>
						一.      项目概况 学术分享搜索引擎主要基于爬取的学术数据,提供搜索,可视化,推荐三大块功能,并且支持用户分享感兴趣的学术资源,结合&quot;众包&quot;来打造一个更社交化的学术搜索平台. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmLVVb.html" rel="bookmark" class="title">酷视新媒体集团企业宣传片征集</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 一.总体要求 澳大利亚酷视新媒体集团股份有限公司其业务主要是提供连接互联网和智能终端形成的各种服务.在专注与互联网在线电视.在线游戏应用的同时,公司以提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40aLPz.html" rel="bookmark" class="title">他逼华为任正非狂奔了20年</a>
					<div>
						关于任正非和华为的传奇故事已经很多很多,可千年老二的牛X就少有人关注了:与任正非打到2003年时,中兴曾一度达到华为规模的80%之强,2007年的时候把华为的净利润率从4年前的14%逼到4%!侯为贵在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmAoab.html" rel="bookmark" class="title">Cloud and the Era of AR&sol;VR Technology&colon; What&amp;&num;039&semi;s Next</a>
					<div>
						We are on a course of discovery and while we might be seeing new, fascinating applications geared to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0n2P8z.html" rel="bookmark" class="title">一个关于JS数组的问题</a>
					<div>
						问题描述 var arr = new Array(5)arr[0] = &quot;Jani&quot;arr[1] = &quot;Hege&quot;arr[2] = &quot;Stale&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg0aAM.html" rel="bookmark" class="title">Win10如何添加&OpenCurlyDoubleQuote;注册DLL&rdquo;右键菜单</a>
					<div>
						在平时使用Win10系统的过程中,很多小伙伴们都需要使用右键菜单中,如果能在右键菜单中添加注册DLL文件项目就最好不过啦,那么我们该怎么操作呢?欢迎大家速来围观我的经验啦. 首先,请大家在Win10桌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoOe0M.html" rel="bookmark" class="title">Red Flag Asianux Server 3系统管理：交换空间</a>
					<div>
						交换空间是系统从硬盘中划分的一部分空间,当物理内存( RAM)被充满时,内存中不活跃的页就会被移到交换空间.交换空间的大小一般设为物理 RAM的 1~2倍,但不能超过 http://www.aliyu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1rreb.html" rel="bookmark" class="title">亿客隆超市查出&OpenCurlyDoubleQuote;吊白块&rdquo;腐竹国家明令禁添加</a>
					<div>
						昨天,市食品安全办对亿客隆销售的&quot;恒胜天祥&quot;腐竹.木樨园华润万家生活超市销售的&quot;世纪华泰&quot;散装杏肉和话梅.北京奥利金荣商贸中心销售的&quot;好正点&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvxWyM.html" rel="bookmark" class="title">Android编程判断SD卡是否存在及使用容量查询实现方法&lowbar;Android</a>
					<div>
						本文实例讲述了Android编程判断SD卡是否存在及使用容量查询实现方法.分享给大家供大家参考,具体如下: 1.判断SD卡是否存在 返回true表示存在 /* 判断SD卡是否存在 返回true表示存在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8DBVp.html" rel="bookmark" class="title">实例详解jQuery的无new构建&lowbar;jquery</a>
					<div>
						jQuery的无new构建 jQuery框架的核心就是从HTML文档中匹配元素并对其执行操作. 回想一下使用 jQuery 的时候,实例化一个 jQuery 对象的方法: // 无 new 构造 $( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZDxmz.html" rel="bookmark" class="title">Extjs4中tree的拖拽功能&lpar;可以两棵树之间拖拽&rpar; 简单实例&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: //只要要在treepanel中配置一下viewConfig即可,如果是两棵树之间,两棵树都要配置    viewConfig:{   plugins :{    ptype:' ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxERqGp.html" rel="bookmark" class="title">DaaS：让小企业更好地拥抱大数据时代</a>
					<div>
						互联网技术的发展与应用催生了大数据时代,大数据正释放出巨大的潜能.从电商企业利用大数据分析客户需求到军队利用大数据模拟战斗;从销售人员将人口数据纳入分析,获得市场渗透率方面的信息,到企业参考经济数据来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEj2Ez.html" rel="bookmark" class="title">硅片价格持续下探 光伏市场寒冬来临</a>
					<div>
						由于单晶硅片厂商快速扩产.多晶硅片厂商仅少量减产,市场对多晶硅需求依旧强劲,使多晶硅成为近期价格最有支撑的区段.七月中国价格高档持稳在RMB140-144/kg,八月价格仍有支撑.中国以外的市场则因没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV768Yb.html" rel="bookmark" class="title">平均成绩-结果应该是80&period;40和78&period;20，请问是哪里出错了，菜鸟求大神指教</a>
					<div>
						问题描述 结果应该是80.40和78.20,请问是哪里出错了,菜鸟求大神指教 #include int main() { float average(float array[], int n); fl ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
